What are the system requirements for PhotoVia?

OS X 

10.8, 10.9, 10.10 (current maintenance releases, 64 bit)

 

 

Windows

Windows 7, Windows 8 (current maintenance releases, 64 bit)

 

Other

Lightroom 5 or later

 

iOS device with iOS 8 or later

(iPhone 4s or later, iPad 2 or later)

 

Google Drive account

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Contact Us
Powered by Zendesk